import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
const tag = await client.tasks.tags.update('123e4567-e89b-12d3-a456-426614174000', {
tagIds: ['123e4567-e89b-12d3-a456-426614174000', '456e4567-e89b-12d3-a456-426614174000'],
});
console.log(tag.data);{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "API Documentation",
"color": "#3B82F6",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"orgId": "org_123456789",
"applicationId": "456e4567-e89b-12d3-a456-426614174000",
"description": "Tag for API-related documentation"
}
]
}Updates the tags assigned to a specific task. This replaces all existing tags.
import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
const tag = await client.tasks.tags.update('123e4567-e89b-12d3-a456-426614174000', {
tagIds: ['123e4567-e89b-12d3-a456-426614174000', '456e4567-e89b-12d3-a456-426614174000'],
});
console.log(tag.data);{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "API Documentation",
"color": "#3B82F6",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"orgId": "org_123456789",
"applicationId": "456e4567-e89b-12d3-a456-426614174000",
"description": "Tag for API-related documentation"
}
]
}Your unique Avido API key
Your unique Avido Application ID
The unique identifier of the task
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"123e4567-e89b-12d3-a456-426614174000"
Request body for updating tags on a resource
Array of tag IDs to assign to the resource
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$[
"123e4567-e89b-12d3-a456-426614174000",
"456e4567-e89b-12d3-a456-426614174000"
]Task tags updated successfully
Successful response containing tags
Show child attributes